/* aewm - a minimalist X11 window mananager. vim:sw=4:ts=4:et
 *
 * Copyright 1998-2005 Decklin Foster <decklin@red-bean.com>. This
 * program is free software; please see LICENSE for details. */

#ifndef AEWM_ATOM_H
#define AEWM_ATOM_H

#include <limits.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include "common.h"

typedef void (*atom_cb_func)(long *, void *);

extern char *get_wm_name(Window);
extern int get_atom(Window, Atom, Atom, long *);
extern int set_atom(Window, Atom, Atom, long);
extern int append_to_atom(Window, Atom, Atom, long);
extern void atom_foreach(Window, Atom, Atom, atom_cb_func, void *);

extern Display *dpy;
extern Window root;

extern Atom net_wm_name;
extern Atom utf8_string;

#endif /* AEWM_ATOM_H */
